
User Interface - Bug #2680

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

status area border is not drawn correctly

09/03/2015 04:50 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/03/2015 04:56 PM - Greg Shah

The status area has its own extra thick border with a triangular bottom right corner.  Our version has no raised border on the top side.  The left, right

and bottom of ours do have raised borders but they are too thin.  Finally, the triangular portion in the bottom right is missing some diagonal "striping"

that appears in the 4GL version.

To see the differences, please see task #2679 note 1.

#2 - 10/07/2015 01:47 PM - Greg Shah

- Assignee set to Eugenie Lyzenko

Please put your changes into task branch 1811r.

#3 - 10/08/2015 03:20 PM - Greg Shah

- File p2j_swing_status_area_vs_progress_20151008.png added

- File p2j_swing_status_area_vs_progress_highlighted_20151008.png added

The 1811r revision 10965 solution is nearly pixel perfect:

 

In this image, the P2J window version is above and the Progress window below.  There is a single extra grey pixel drawn in the Progress version, just

above the "triangle" drawing.

To see it better:
https://proj.goldencode.com/issues/2679


Everything else seem exactly correct.

#4 - 10/08/2015 04:29 PM - Eugenie Lyzenko

Fixed in 1811r revision 10969.

#5 - 10/08/2015 04:46 PM - Greg Shah

- Status changed from New to Closed

Well done!  It looks really good.

#6 - 11/10/2015 04:51 AM - Greg Shah

- % Done changed from 0 to 100

#7 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files
